@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500;600&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    font-family: "Poppins", sans-serif;
}

a{
    text-decoration: none; 
}

ul{
    list-style: none;
}

header{
    display: flex;
    background-color: #222833;
    justify-content: space-around;
    padding: 1rem 0;
    align-items: center;
}

.logo{
    display: flex;
    align-items: center;
}

.logo img{
    width: 50px;
    border-radius: 50%;
    margin-right: 10px;
}

.header__logo{
    color: #eee;
    font-weight: 600;
}

.nav__list{
    display: flex;
    align-items: center;
}

.nav__item{
    margin: 0 8px;
}

.nav__link{
    padding: 10px;
    color: #eee;
    font-size: 0.9rem;
    font-weight: 500;
    border-radius: 5px;
}

.nav__link:hover{
    background-color: rgb(41, 41, 128);
}

.header__toggle, 
.header__close{
    display: none;
}

@media screen and (max-width: 760px) {
    header{
        height: 48px;
        justify-content: space-between;
        padding: 0 28px;
    }

    .logo a{
        font-size: 0.9rem;
    }

    .logo img{
        width: 30px;
    }

    .header__toggle{
        display: inline;
        color: #eee;
        font-size: 24px;
    }

    .header__close{
        position: absolute;
        top: 18px;
        right: 24px;
        display: block;
        font-size: 24px;
        border-radius: 50%;
    }

    .header__close:hover{
        background-color: rgb(41, 41, 128);
    }

    .nav{
        position: fixed;
        top: 0;
        right: -100%;
        background-color: #222833;
        color: #eee;
        width: 60%;
        height: 100vh;
        padding: 24px 0;
        z-index: 100;
        transition: 0.5s;
        border-radius: 0 0 0 50%;
    }

    .nav__list{
        display: flex;
        flex-direction: column;
    }

    .nav__item{
        margin: 2rem 0;
    }

    .show{
        right: 0;
    }
}